Subject: bug#7952: 24.0.50; crash in find_interval

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 May 2011 18:28:58 +0300

> From: Chong Yidong <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Romain Francoise <[email-masked]>,  [email-masked]
> Date: Sun, 08 May 2011 01:18:04 -0400
> 
> Stefan Monnier <[email-masked]> writes:
> 
> > As can be seen by a comment in grep.el, I consider grep's updating of
> > the buffer as a problem.  Also, we've seen other reasons why grep's
> > handling of escape sequences should be performed in the process filter
> > rather than in font-lock.  So I'd rather say that grep's use of
> > font-lock is wrong, rather than change jit-lock to accommodate it.
> 
> I've committed a fix for grep.el.

Thanks, but will that solution work when start-process is not
available (MS-DOS)?  I'm not sure (I think compilation-filter is not
run in that case).